compile error for Nginx 1.1.2

Maxim Dounin mdounin at
Thu Mar 1 14:01:20 UTC 2012


On Thu, Mar 01, 2012 at 02:29:45PM +0100, umesh chaudhari wrote:

> Hello all,
> I am trying to install Nginx-1.1.2 on mac os x-lion,but while doing make
> i am getting following error,i have searched through forums but didnt
> found clear steps to resolve the error,
> please help
> cc1: warnings being treated as errors
> src/core/ngx_crypt.c: In function ‘ngx_crypt_apr1’:
> src/core/ngx_crypt.c:76: warning: ‘MD5_Init’ is deprecated (declared at
> /usr/include/openssl/md5.h:113)

Upgrade to nginx 1.1.16.  There is a problem with openssl shipped 
with Mac OS X Lion, the workaround has been added in nginx 1.1.3.

Maxim Dounin

More information about the nginx mailing list